---
page_title: ALT_ID And Tavv
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/decoupled-tokenziation-txn-integration/alt-id-and-tavv
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fdecoupled-tokenziation-txn-integration%2Falt-id-and-tavv
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# ALT_ID and TAVV  TXN API



ALT_ID is an alternate identifier used in place of the actual card number for processing tokenized transactions securely. TAVV (Token Authentication Verification Value) is a cryptographic value used to authenticate and authorize a token-based transaction, providing an additional layer of security for payments.

> **Note**
> 
> ## ALT_ID and TAVV Transaction Request Details
> 
> 
> 
> The fields such as `alt_id`, `TAVV`, card expiry month, card expiry year, token last four digits, PAR, and other token-related details are fetched from the[Fetch Alt ID and Cryptogram API](https://juspay.io/in/docs/api-reference/docs/tokenization-apis/fetch-alt-id-and-cryptogram-api) or the token response received from the respective TR response.
> 
> 
> ### Example Token Fields
> 
> 
> 
> * `tavv`
> * `token.card_last_four`
> * `token.par`
> * `token.type`
> * `token.requestor_id`
> * `token.provider_reference_id`
> 
> 
> ### Important Notes
> 
> 
> 
> * The raw token received from the Fetch Alt ID and Cryptogram API or the respective TR response is passed as the `card_number` field in the `/txns` API request.
> * When using form-encoded requests, special characters such as `/`, `+`, and `=` in the `tavv` field must be properly URL-encoded by the merchant before sending the request.
> * The merchant should pass the correct network name, for example: `"VISA"`, `"MASTERCARD"`, `"AMEX"`.
> 
> 
> ### Optional Fields for VISA / AMEX / MASTERCARD / RUPAY
> 
> 
> 
> The below token-related fields are non-mandatory and can be sent as empty values if not applicable:
> 
> * `token.requestor_id`
> * `token.provider_reference_id`
> 
> 
> ### Mandatory Fields for DINERS `[Mandatory for DINERS]`
> 
> 
> 
> For DINERS card transactions, all the below token-related fields are mandatory and must be provided in the request:
> 
> * `token.requestor_id`
> * `token.provider_reference_id`
> 
> Additionally, for DINERS card transactions, the `cryptogram/tavv` field should be passed as empty, as DINERS does not provide a cryptogram.

## Endpoints:
- Sandbox: https://sandbox.juspay.in

- Production: https://api.juspay.in/txns

## Request Type: 
POST

## Content-Type: 
application/json

## Authorization:

#### Basic Auth:
- Value: Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username:Password, Required
## Headers:

#### Content-Type:
- Value: application/x-www-form-urlencoded
- Tags: String
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl --location 'https://sandbox.juspay.in/txns' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Basic VEVTVF9NRVJDSEFOVF9LRVk6' \
--data-urlencode 'order_id=test_order_123456' \
--data-urlencode 'merchant_id=test_merchant' \
--data-urlencode 'payment_method_type=CARD' \
--data-urlencode 'payment_method=VISA' \
--data-urlencode 'card_number=4111111111111111' \
--data-urlencode 'card_exp_month=12' \
--data-urlencode 'card_exp_year=2035' \
--data-urlencode 'name_on_card=Test User' \
--data-urlencode 'card_security_code=123' \
--data-urlencode 'save_to_locker=false' \
--data-urlencode 'redirect_after_payment=true' \
--data-urlencode 'format=json' \
--data-urlencode 'tavv=MzAzMDMwMzAzMDMwZDk5NGEyNDQ=' \
--data-urlencode 'token.card_last_four=1111' \
--data-urlencode 'token.par=V0010012345678901234567890123' \
--data-urlencode 'token.type=ALT_ID' \
--data-urlencode 'token.requestor_id=TESTREQUESTOR01' \
--data-urlencode 'token.provider_reference_id=12345678-abcd-1234-efgh-123456789012'
```

### Response:

#### altidandtavvresponse:
```plaintext
{
    "payment": {
        "authentication": {
            "method": "GET",
            "url": "https://sandbox.juspay.in/v2/txns/test_test/mozqfFZaT4B8coUyvVN?cardIssuerBankName%3DHDFC%20Bank%26cardType%3DDEBIT%26paymentMethod%3DVISA%26paymentMethodType%3DCARD"
        }
    },
    "status": "PENDING_VBV",
    "txn_uuid": "mozqfFZaT4B8coUyvVN",
    "offer_details": {
        "offers": []
    },
    "order_id": "test_1780992614",
    "txn_id": "AT-test_1780992614-1"
}
```

## Body Parameters:
### Basic Parameters:

#### order_id:
- Description: Merchant should pass the order_id
- Value: test1753862168
- Tags: String, Required

#### merchant_id:
- Description: Merchant should pass the merchant_id
- Value: testmid
- Tags: String, Required

#### payment_method_type:
- Description: Should be passed as “`CARD`”
- Value: CARD
- Tags: String, Required

#### payment_method:
- Description: The merchant should pass the correct network name, for example: `"VISA"`, `"MASTERCARD"`, or `"AMEX"`.
- Value: VISA
- Tags: String, Required

#### card_number:
- Description: The ALT_ID is fetched from the [Fetch Alt ID and Cryptogram API](https://juspay.io/in/docs/api-reference/docs/tokenization-apis/fetch-alt-id-and-cryptogram-api)  or the respective TR response.
- Value: 43882923311111
- Tags: String, Required

#### card_exp_month:
- Description: The expiry month of the token fetched from the  [Fetch Alt ID and Cryptogram API](https://juspay.io/in/docs/api-reference/docs/tokenization-apis/fetch-alt-id-and-cryptogram-api)   or the respective TR response.
- Value: 6
- Tags: String, Required

#### card_exp_year:
- Description: The expiry year of the token fetched from the  [Fetch Alt ID and Cryptogram API](https://juspay.io/in/docs/api-reference/docs/tokenization-apis/fetch-alt-id-and-cryptogram-api)   or the respective TR response.
- Value: 2031
- Tags: String, Required

#### name_on_card:
- Value: Krishnamoorthy
- Tags: String, Required

#### card_security_code:
- Description: Card cvv should be passed
- Value: 123
- Tags: String

#### save_to_locker:
- Description: Should be passed as false(boolean)
- Value: false
- Tags: Boolean

#### redirect_after_payment:
- Description: Should be passed as true(boolean)
- Value: true
- Tags: Boolean, Required

#### format:
- Description: Should be passed as json
- Value: json
- Tags: String, Required

#### tavv:
- Description: Cryptogram for the transaction (3DS secure data).The Tavv is fetched from the  [Fetch Alt ID and Cryptogram API](https://juspay.io/in/docs/api-reference/docs/tokenization-apis/fetch-alt-id-and-cryptogram-api)   or the respective TR response.
- Value: /wAAAAJWNDKJWNEKJFDFEWKEJN
- Tags: String, Required

#### token:
- Value:
  - **Card_last_four**:
    - Description: Last four digits of the card associated with the token.`[Mandatory for ALL]`
    - Value: 1234
    - Tags: String, Required
  - **Par**:
    - Value: V001001392501722443499123456
    - Tags: Required
  - **Type**:
    - Description: Type of token (e.g., TOKEN,ALT_ID).**Values =ALT_ID** `[Mandatory for ALL]`
    - Value: ALT_ID
    - Tags: String, Required
  - **Requestor_id**:
    - Description: Token requestor id assigned by WIBMO for the merchant.`[Mandatory for DINERS]`
    - Value: Example:- TESTJUSPAYTEST001
    - Tags: String
  - **Provider_reference_id**:
    - Description: DINERS token reference id given by WIBMO.`[Mandatory for DINERS]`
    - Value: Example:- e5133cfe-****-****-****-1a6737827aa8
    - Tags: String
- Tags: Object
## API Responses:
### 200:

#### payment:
- Value:
  - **Authentication**:
    - Value:
      - **Method**:
        - Value: GET
        - Tags: String
      - **Url**:
        - Value: https://sandbox.juspay.in/v2/pay/start/test_mid/moz6yP7sK7zwCwawoKA?cardIssuerBankName%3DSBI%26cardType%3DDEBIT%26paymentMethod%3DVISA%26paymentMethodType%3DCARD
        - Tags: String
    - Tags: Object
- Tags: Object

#### status:
- Value: PENDING_VBV
- Tags: String

#### txn_uuid:
- Value: moz6yP7sK7zwCwawoKA
- Tags: String

#### offer_details:
- Value:
  - **Offers**:
    - Tags: Array
- Tags: Object

#### order_id:
- Value: test_1779704123
- Tags: String

#### txn_id:
- Value: M-test_1779704123-1
- Tags: String


---

## See Also

- [Token and Tavv Txn API](https://juspay.io/in/docs/api-reference/docs/decoupled-tokenziation-txn-integration/token-and-tavv-txn-api)
- [Introduction : VAN](https://juspay.io/in/docs/api-reference/docs/virtual-account--ecollect/introduction--van)
